#pragma once

#include  <Afxtempl.h>
// CMyList

class CMyList : public CListCtrl
{
	DECLARE_DYNAMIC(CMyList)

public:
	CMyList();
	virtual ~CMyList();
	CMap<DWORD , DWORD& , COLORREF , COLORREF&> MapItemColor;

protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnNMCustomdraw(NMHDR *pNMHDR, LRESULT *pResult);
	void SetItemColor(DWORD  iItem, COLORREF color);
};


